summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/listing/0017objects_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/listing/0017objects_0')
-rwxr-xr-xtests/shell/testcases/listing/0017objects_019
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/shell/testcases/listing/0017objects_0 b/tests/shell/testcases/listing/0017objects_0
new file mode 100755
index 00000000..14d61438
--- /dev/null
+++ b/tests/shell/testcases/listing/0017objects_0
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+EXPECTED="table inet filter {
+ map countermap {
+ type ipv4_addr : counter
+ }
+}"
+
+set -e
+
+$NFT -f - <<< $EXPECTED
+$NFT flush map inet filter countermap
+
+GET="$($NFT list map inet filter countermap)"
+if [ "$EXPECTED" != "$GET" ] ; then
+ DIFF="$(which diff)"
+ [ -x $DIFF ] && $DIFF -u <(echo "$EXPECTED") <(echo "$GET")
+ exit 1
+fi